summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-12-14 23:14:45 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-12-14 23:25:03 +0100
commit576fc933c81aa6e526d87290af95e8e898e70ecb (patch)
tree73f9a202bcb454043dbb6b731d9b56ed4c5f49eb /kde-apps/ktp-text-ui
parentdev-haskell/stack-bin: bump up to 1.6.1 (diff)
downloadgentoo-576fc933c81aa6e526d87290af95e8e898e70ecb.tar.gz
gentoo-576fc933c81aa6e526d87290af95e8e898e70ecb.tar.bz2
gentoo-576fc933c81aa6e526d87290af95e8e898e70ecb.zip
kde-apps: Add KDE Applications 17.12.0
Package-Manager: Portage-2.3.18, Repoman-2.3.6
Diffstat (limited to 'kde-apps/ktp-text-ui')
-rw-r--r--kde-apps/ktp-text-ui/Manifest1
-rw-r--r--kde-apps/ktp-text-ui/ktp-text-ui-17.12.0.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/kde-apps/ktp-text-ui/Manifest b/kde-apps/ktp-text-ui/Manifest
index 0eacc1b9572..08437851a83 100644
--- a/kde-apps/ktp-text-ui/Manifest
+++ b/kde-apps/ktp-text-ui/Manifest
@@ -1 +1,2 @@
DIST ktp-text-ui-17.08.3.tar.xz 468704 BLAKE2B 651d51416f246d216c0d3e8f835ff672cd21703d2be25c54e91e2d06e98e1b05759969e94b77379d74cb7bc332009894613566980152593b1050279719c365b9 SHA512 4d5f870c2078ab3adf5aab2471ecc945535bb52754b610ce2b3edce1320f09c26554719d4566e4ce9daa36c038846359aeb07e98690ffeb87e0534c2d4c5f23d
+DIST ktp-text-ui-17.12.0.tar.xz 468840 BLAKE2B 60c1e6f0712bdef007ca48e43a8129122d9e33015e4ce69403d7f58051cd579582df51dd2b7bd3f1eef75dc22a06955ecb54eacba6a99c4ad52ae872fe6d6ce1 SHA512 30b89bf5ec10c1a99f3302cbe92081bed1b304e39b672ce91b60a71aa0746597ca2c61c0810e7ba78e5a8f9973c09de16a62ad1511b7b18654960ff2ee05845d
diff --git a/kde-apps/ktp-text-ui/ktp-text-ui-17.12.0.ebuild b/kde-apps/ktp-text-ui/ktp-text-ui-17.12.0.ebuild
new file mode 100644
index 00000000000..1c1ba9ca479
--- /dev/null
+++ b/kde-apps/ktp-text-ui/ktp-text-ui-17.12.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="KDE Telepathy text chat window"
+HOMEPAGE="https://community.kde.org/Real-Time_Communication_and_Collaboration"
+
+LICENSE="Apache-2.0 || ( AFL-2.1 BSD ) GPL-2+ LGPL-2.1+ MIT"
+KEYWORDS="~amd64 ~x86"
+IUSE="speech"
+
+DEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kcmutils)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep kdewebkit)
+ $(add_frameworks_dep kemoticons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kitemviews)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep knotifyconfig)
+ $(add_frameworks_dep kpeople)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep kxmlgui)
+ $(add_frameworks_dep sonnet)
+ $(add_kdeapps_dep ktp-common-internals otr)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwebengine 'widgets')
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ net-libs/telepathy-qt[qt5(+)]
+ speech? ( $(add_qt_dep qtspeech) )
+"
+RDEPEND="${DEPEND}
+ $(add_kdeapps_dep ktp-contact-list)
+"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package speech Qt5TextToSpeech)
+ )
+
+ kde5_src_configure
+}